Graveyards needs an update (Error in 1.12-pre6)

Discussion in 'Discussion' started by PsychoLynx, Jun 4, 2017.

  1. PsychoLynx

    PsychoLynx New Member
    Supporter

    Joined:
    Jul 2, 2016
    Messages:
    25
    Likes Received:
    6
    Hi!

    The latest version of graveyards (2.3.0) is giving this error on startup.

    Code:
    [14:49:10] [Server thread/INFO]: [Graveyards] Enabling Graveyards v2.3.0
    [14:49:10] [Server thread/INFO]: [Graveyards] Loading Graveyards...
    [14:49:10] [Server thread/ERROR]: Error occurred while enabling Graveyards v2.3.0 (Is it up to date?)
    java.lang.NoSuchMethodError: org.bukkit.configuration.file.YamlConfiguration.loadConfiguration(Ljava/io/InputStream;)Lorg/bukkit/configuration/file/YamlConfiguration;
        at io.lumine.xikage.graveyards.IO.IOLoader.reloadCustomConfig(IOLoader.java:49) ~[?:?]
        at io.lumine.xikage.graveyards.IO.IOLoader.<init>(IOLoader.java:39) ~[?:?]
        at io.lumine.xikage.graveyards.IO.IOLoader.<init>(IOLoader.java:23) ~[?:?]
        at io.lumine.xikage.graveyards.IO.Configuration.LoadAll(Configuration.java:24) ~[?:?]
        at io.lumine.xikage.graveyards.Graveyards.onEnable(Graveyards.java:57) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:402) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:377) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:327) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:421) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:382) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:337) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:544) [spigot-1.12-pre6.jar:git-Spigot-ac83d69-921ba53]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_121]
    
    I've understood that this is a pretty easy fix, but without the code we can't fix it ourselves, so I kindly ask that this get fixed so we can keep using the plugin in the future <3

    Cheers,
    PsychoLynx
     
    #1
  2. PsychoLynx

    PsychoLynx New Member
    Supporter

    Joined:
    Jul 2, 2016
    Messages:
    25
    Likes Received:
    6
    Gentle bump now that 1.12 is out :)
     
    #2
  3. PsychoLynx

    PsychoLynx New Member
    Supporter

    Joined:
    Jul 2, 2016
    Messages:
    25
    Likes Received:
    6
    Bump :c
     
    #3
  4. Joikd

    Joikd Administrator
    Administrator Developer

    Joined:
    Jul 11, 2017
    Messages:
    13
    Likes Received:
    11
    I have bumped the original author of this for you and it should be updated soon!
     
    #4
  5. PsychoLynx

    PsychoLynx New Member
    Supporter

    Joined:
    Jul 2, 2016
    Messages:
    25
    Likes Received:
    6
    Thank you kindly <3
     
    #5

Share This Page